メインコンテンツへスキップ
GET
/
v1
/
monitors
モニターを一覧表示
curl --request GET \
  --url https://api.olostep.com/v1/monitors \
  --header 'Authorization: Bearer <token>'
{
  "monitors": [
    {
      "team_id": "<string>",
      "monitor_id": "<string>",
      "status": "<string>",
      "agent_id": "<string>",
      "fda_id": "<string>",
      "schedule_id": "<string>",
      "schedule_name": "<string>",
      "query": "<string>",
      "url": "<string>",
      "frequency": "hourly",
      "cron_expression": "<string>",
      "notification_channel": "email",
      "notification_target": "<string>",
      "metadata": {},
      "error_message": "<string>",
      "created_at": 123,
      "updated_at": 123
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.olostep.com/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Bearer認証ヘッダーの形式はBearer で、はあなたの認証トークンです。

クエリパラメータ

include_deleted
enum<string>
デフォルト:false

削除されたモニターを含めるにはtrueに設定します。

利用可能なオプション:
true,
false

レスポンス

モニターのリストを含む成功したレスポンス。

monitors
object[]
count
integer